<template>
  <div>
    <h1>Вы успешно авторизовались!</h1>
    <v-btn
      color="primary"
      variant="elevated"
      v-if="!Boolean(authInfo)"
      @click="fetchData"
      >Получить данные о пользователе
    </v-btn>
    <v-btn color="primary" variant="elevated" v-else @click="deleteUserInfo"
      >Удалить данные о пользователе
    </v-btn>
    <div class="demo">
      <template v-if="Boolean(authInfo)">
        <p>Данные с backend сервера</p>
        <v-table theme="light">
          <thead>
            <tr>
              <th class="text-left">KeyName</th>
              <th class="text-left">Value</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(value, key) in authInfo" :key="key">
              <td class="text-left">{{ key }}</td>
              <td class="text-left">{{ value }}</td>
            </tr>
          </tbody>
        </v-table>
      </template>
    </div>
  </div>
</template>

<script setup>
import axios from "@/api/setup.js";
import { ref } from "vue";

const authInfo = ref(null);

const fetchData = async () => {
  try {
    const { data } = await axios.get("/api/test/user");
    console.log(data);
    authInfo.value = data;
  } catch (error) {
    console.error(error);
  }
};

const deleteUserInfo = () => {
  authInfo.value = null;
};
</script>

<style scoped>
.demo {
  min-height: calc(14vh - 80px);
  width: 50%;
  padding: 0;
  margin: 50px auto;
  overflow: auto;
  overflow-y: hidden;
  font-size: 15px;
  line-height: 30px;
}
</style>
